dect
/
linux-2.6
Archived
13
0
Fork 0

kbuild: minor scripts/decodecode update

Remove the tmp file when exiting.  Noticed by Arjan van de Ven.
Catch mktemp failure and exit with message.
Trap kill or other signals and exit cleanly.

Signed-off-by: Randy Dunlap <randy.dunlap@oracle.com>
Signed-off-by: Sam Ravnborg <sam@ravnborg.org>
This commit is contained in:
Randy Dunlap 2008-01-14 15:18:31 -08:00 committed by Sam Ravnborg
parent 80daa56008
commit fa220d89ad
1 changed files with 15 additions and 2 deletions

View File

@ -6,7 +6,19 @@
# e.g., to decode an i386 oops on an x86_64 system, use:
# AFLAGS=--32 decodecode < 386.oops
T=`mktemp`
cleanup() {
rm -f $T $T.s $T.o
exit 1
}
die() {
echo "$@"
exit 1
}
trap cleanup EXIT
T=`mktemp` || die "cannot create temp file"
code=
while read i ; do
@ -20,6 +32,7 @@ esac
done
if [ -z "$code" ]; then
rm $T
exit
fi
@ -48,4 +61,4 @@ echo -n " .byte 0x" > $T.s
echo $code >> $T.s
as $AFLAGS -o $T.o $T.s
objdump -S $T.o
rm $T.o $T.s
rm $T $T.s $T.o